/*
 * @Author: 吴文洁
 * @Date: 2020-08-31 09:34:25
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2021-05-12 17:27:08
 * @Description:
 * @Copyright: 杭州杰竞科技有限公司 版权所有
 */

import Storage from './storage';
import { PREFIX, USER_PREFIX } from '@/domains/basic-domain/constants';

class User {
  
  getVersion() {
    return Storage.getObj(`${PREFIX}_version`)
  }

  getStoreId(){
    return Storage.get(`${PREFIX}_storeId`)
  }

  getEnterpriseId() {
    return Storage.get(`${PREFIX}_enterpriseId`);
  }

  getStoreName() {
    return Storage.get(`${PREFIX}_storeName`);
  }

  getStoreType() {
    return Storage.get(`${PREFIX}_storeType`);
  }

  getStoreUserId() {
    return Storage.get(`${PREFIX}_storeUserId`);
  }

  getCustomerId() {
    return Storage.get(`${PREFIX}_customerId`);
  }
  getUserId() {
    return Storage.get(`${PREFIX}_userId`);
  }
  getUserRole() {
    return Storage.get(`${PREFIX}_userRole`);
  }

  getToken() {
    return Storage.get(`${PREFIX}_token`);
  }

  getIsAdmin() {
    return Storage.get(`${PREFIX}_isAdmin`);
  }

  setVersion(value:any) {
    return Storage.setObj(`${PREFIX}_version`,value)
  }

  setStoreId(value:any){
    return Storage.set(`${PREFIX}_storeId`,value)
  }

  setEnterpriseId(value: any) {
    return Storage.set(`${PREFIX}_enterpriseId`, value);
  }

  setStoreName(value: any) {
    return Storage.set(`${PREFIX}_storeName`, value);
  }

  setStoreType(value: any) {
    return Storage.set(`${PREFIX}_storeType`, value);
  }

  setStoreUserId(value: any) {
    return Storage.set(`${PREFIX}_storeUserId`, value);
  }

  setCustomerId(value: any) {
    return Storage.set(`${PREFIX}_customerId`, value);
  }

  setUserId(value: any) {
    return Storage.set(`${PREFIX}_userId`, value);
  }

  setUserRole(value: any) {
    return Storage.set(`${PREFIX}_userRole`, value);
  }

  setToken(value: any) {
    return Storage.set(`${PREFIX}_token`, value);
  }

  setIsAdmin(value: any) {
    return Storage.set(`${PREFIX}_isAdmin`, value);
  }

  removeToken() {
    return Storage.remove(`${PREFIX}_token`);
  }

  removeUserId() {
    return Storage.remove(`${PREFIX}_userId`);
  }

  removeEnterpriseId() {
    return Storage.remove(`${PREFIX}_enterpriseId`);
  }

  getCustomerStoreId() {
    return Storage.get(`${PREFIX}_customerStoreId`);
  }
  setCustomerStoreId(value: any) {
    return Storage.set(`${PREFIX}_customerStoreId`, value);
  }
  setIdentifier(value: any) {
    return Storage.set(`${PREFIX}_identifier`, value);
  }
  getIdentifier() {
    return Storage.get(`${PREFIX}_identifier`);
  }
  clearUserInfo() {
    Storage.remove(`${USER_PREFIX}_token`);
    Storage.remove(`${USER_PREFIX}_userId`);
    Storage.remove(`${USER_PREFIX}_userPhone`);
    Storage.remove(`${USER_PREFIX}_bindPhone`);
    Storage.remove(`${USER_PREFIX}_bindWeChat`);
    Storage.remove(`${USER_PREFIX}_userName_${Storage.get(`${USER_PREFIX}_storeId`)}`);
    Storage.remove(`${USER_PREFIX}_avatar_${Storage.get(`${USER_PREFIX}_storeId`)}`);
    Storage.remove(`${USER_PREFIX}_customerId_${Storage.get(`${USER_PREFIX}_storeId`)}`);
  }
}

export default new User();
